Support » Plugin: WooCommerce Stripe Payment Gateway » Checkout – Expiry Date ‘/’ Requirement

  • Resolved jackk1984

    (@jackk1984)


    I use Stripe for Woocommerce plugin at my Checkout. It’s working fine, but every day a number of customers email to complain about the Expiry Date field.

    On mobile, the Expiry Date must be entered in the form ‘MM/YY’ … The problem is, many iPhones don’t have the ‘/’ symbol on their keyboard by default, so these customers are unable to enter the expiry date in this format and as a result, their payment is rejected (as they enter it MMDD, but without the / symbol).

    Is there a way to fix this, and remove the requirement for the / symbol?

    Thanks in advance
    Jack

Viewing 15 replies - 1 through 15 (of 15 total)
  • Plugin Author royho

    (@royho)

    The / character is automatically added. They don’t need to type that character.

    Thanks royho.
    I just tried it on two iPhones and it did appear automatically.

    However I received these emails today/yesterday [will just copy text]

    (1) Yes there was an issue when purchasing. I went to put my expiry date down in the box and it would not let me put a slash inbetween the month and the year. This meant I couldn’t complete the purchase

    (2) The order screen didn’t recognise my expiry date on my card, I tried with multiple cards numerous times only to be greeted with a pop up highlighting the expiry date explaining that it wasn’t correct when it was. If this issue can get sorted that would be awesome and I would appreciate the help. also thank you for recognising this issue, a great sign of great customer service.

    (3) I was trying to enter the expiration year of my credit card, but it would not let me. Your system requested (MM/YY) but I could only enter (MMYY). It kept saying it was invalid because there was no (/) available. Would really appreciate if I could still receive the deal you guys offered yesterday.

    (4) In regards to the reason I did not complete the purchase, at the stage of entering my credit card expiry date, the keyboard thick appeared was numerical only (on iphone) thus I could not apply the ‘/’ (forward slash between the month and year to finish payment.

    I have received many more of these… not sure why for some customers the ‘/’ does not appear ? Perhaps they are using older iPhones?…

    Plugin Author royho

    (@royho)

    You should ask their iPhone versions and also what browser were they using.

    Got a few replies, they said the iPhone 4 and 4S. Can attach a screenshot.

    Here is a screenshot taken from iPhone 4S

    Still no luck with this and I continue to receive emails from customers with iPhone 4 & 4S complaining…

    Can anyone help me?

    @royho, can this be fixed in an update? I get so many emails every day from iPhone 4 customers saying they can’t complete the transaction.

    Arnolito

    (@lamaisongraphique)

    Hi,
    I have the same problem. An answer would be much appreciated πŸ™‚
    Thanks

    I have the same issue as well. The actual file needed to edit is on the WooCommerce plugin. This is a temporary hack:

    woocommerce/includes/gateways/class-wc-payment-gateway-cc.php

    on line 65 remove this from the input field

    
    type="tel"
    

    Then the full iphone keyboard will be loaded

    Thanks for the help, but my problem is that when you put the registration data the load wheel is left turning and the web shop is blocked

    @contemplate, Thank you so much for the file location of those cc-fields.
    Have been searching up and down for days, because client wants it to say “Expiration” instead of “Expiry”.
    The type=”tel” tip is also great, filing it away for future use.

    Litte bump.

    I’ve had the same problem on an up-to-date iPhone 5S. Same result as above screenshot (no slash added automaticaly).

    Removing type=”tel” works but is not updateproof.

    Cheers !

    I have the same issue. iOS 11.0.3

    Hi, im having the same issue on all iphones on updated ios. I would really love to use this as a payment gateway. Removing type=”tel” is not something i tried but is also not a real solution. I would like to make checkout as easy as possible for my customers. Is their any fixes for this problem out yet?

    Plugin Support stephjacq

    (@stephjacq)

    Automattic Happiness Engineer

    Could you please let us know if you are still having this issue with the current version of the Stripe plugin?

    Plugin Support Mike

    (@mikedmoore)

    Automattic Happiness Engineer

    Hi there,

    Since we haven’t heard back from you in a while, so I’ll go ahead to mark this as resolved – if you have any further questions, you can start a new thread.

Viewing 15 replies - 1 through 15 (of 15 total)
  • The topic ‘Checkout – Expiry Date ‘/’ Requirement’ is closed to new replies.